Bug 113888 - Setting Original for background image ignores dpi
Summary: Setting Original for background image ignores dpi
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-DPI
  Show dependency treegraph
 
Reported: 2017-11-16 18:59 UTC by Regina Henschel
Modified: 2019-03-01 03:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example with same image as backgound and as graphic object (50.23 KB, application/vnd.oasis.opendocument.presentation)
2017-11-16 18:59 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-11-16 18:59:22 UTC
Created attachment 137816 [details]
Example with same image as backgound and as graphic object

Open attached document. It has three master pages. The first master page has an image with 240dpi as background, the second master page has an image with 96 dpi as background, the third master page has solid color.

The third slide has the images inserted. Here the dpi values are respected. In the crop dialog, you will find both have 100% size.

The pink rectangle has the desired size of width 9cm and height 4cm to make size comparison easier.

Expected behavior: The images on the background are sized as given by there pixels and their dpi setting, same as when the images are inserted directly on to the slide.
Comment 1 Buovjaga 2017-11-17 18:31:22 UTC
What style did you use for the Area - Bitmap? Unfortunately there is a bug that always shows it as Tiled, when dialog is opened.
Comment 2 Regina Henschel 2017-11-17 18:45:18 UTC
I have set "Original".
Comment 3 Buovjaga 2017-11-17 18:58:03 UTC
Thanks, setting to NEW (and apparently I don't read summaries as you already had Original in it)

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 121303615054568c204def97872343d2014af4a0
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 17th 2017
Comment 4 QA Administrators 2019-03-01 03:49:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug